diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/js/tinymce/plugins/wpeditimage/editor_plugin_src.js /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/js/tinymce/plugins/wpeditimage/editor_plugin_src.js
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/js/tinymce/plugins/wpeditimage/editor_plugin_src.js	2012-10-29 12:35:30.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/js/tinymce/plugins/wpeditimage/editor_plugin_src.js	2012-12-17 16:18:40.000000000 -0600
***************
*** 11,46 ****
  			t.editor = ed;
  			t._createButtons();
  
! 			// Register the command so that it can be invoked by using tinyMCE.activeEditor.execCommand('...');
! 			ed.addCommand('WP_EditImage', function() {
! 				var el = ed.selection.getNode(), vp, H, W, cls = ed.dom.getAttrib(el, 'class');
! 
! 				if ( cls.indexOf('mceItem') != -1 || cls.indexOf('wpGallery') != -1 || el.nodeName != 'IMG' )
! 					return;
! 
! 				vp = tinymce.DOM.getViewPort();
! 				H = 680 < (vp.h - 70) ? 680 : vp.h - 70;
! 				W = 650 < vp.w ? 650 : vp.w;
! 
! 				ed.windowManager.open({
! 					file: url + '/editimage.html',
! 					width: W+'px',
! 					height: H+'px',
! 					inline: true
! 				});
! 			});
  
  			ed.onInit.add(function(ed) {
! 				ed.dom.events.add(ed.getBody(), 'dragstart', function(e) {
  					var parent;
  
  					if ( e.target.nodeName == 'IMG' && ( parent = ed.dom.getParent(e.target, 'div.mceTemp') ) ) {
! 						ed.selection.select(parent);
  					}
  				});
  			});
  
! 			// resize the caption <dl> when the image is soft-resized by the user (only possible in Firefox and IE)
  			ed.onMouseUp.add(function(ed, e) {
  				if ( tinymce.isWebKit || tinymce.isOpera )
  					return;
--- 11,60 ----
  			t.editor = ed;
  			t._createButtons();
  
! 			ed.addCommand('WP_EditImage', t._editImage);
  
  			ed.onInit.add(function(ed) {
! 				ed.dom.events.add(ed.getBody(), 'mousedown', function(e) {
  					var parent;
  
  					if ( e.target.nodeName == 'IMG' && ( parent = ed.dom.getParent(e.target, 'div.mceTemp') ) ) {
! 						if ( tinymce.isGecko )
! 							ed.selection.select(parent);
! 						else if ( tinymce.isWebKit )
! 							ed.dom.events.prevent(e);
! 					}
! 				});
! 
! 				// when pressing Return inside a caption move the caret to a new parapraph under it
! 				ed.dom.events.add(ed.getBody(), 'keydown', function(e) {
! 					var n, DL, DIV, P, content;
! 
! 					if ( e.keyCode == 13 ) {
! 						n = ed.selection.getNode();
! 						DL = ed.dom.getParent(n, 'dl.wp-caption');
! 
! 						if ( DL )
! 							DIV = ed.dom.getParent(DL, 'div.mceTemp');
! 
! 						if ( DIV ) {
! 							ed.dom.events.cancel(e);
! 							P = ed.dom.create('p', {}, '\uFEFF');
! 							ed.dom.insertAfter( P, DIV );
! 							ed.selection.setCursorLocation(P, 0);
! 							return false;
! 						}
  					}
  				});
+ 
+ 				// iOS6 doesn't show the buttons properly on click, show them on 'touchstart'
+ 				if ( 'ontouchstart' in window ) {
+ 					ed.dom.events.add(ed.getBody(), 'touchstart', function(e){
+ 						t._showButtons(e);
+ 					});
+ 				}
  			});
  
! 			// resize the caption <dl> when the image is soft-resized by the user
  			ed.onMouseUp.add(function(ed, e) {
  				if ( tinymce.isWebKit || tinymce.isOpera )
  					return;
***************
*** 68,122 ****
  			});
  
  			// show editimage buttons
! 			ed.onMouseDown.add(function(ed, e) {
! 				var target = e.target;
! 
! 				if ( target.nodeName != 'IMG' ) {
! 					if ( target.firstChild && target.firstChild.nodeName == 'IMG' && target.childNodes.length == 1 )
! 						target = target.firstChild;
! 					else
! 						return;
! 				}
! 
! 				if ( ed.dom.getAttrib(target, 'class').indexOf('mceItem') == -1 ) {
! 					mouse = {
! 						x: e.clientX,
! 						y: e.clientY,
! 						img_w: target.clientWidth,
! 						img_h: target.clientHeight
! 					};
! 
! 					ed.plugins.wordpress._showButtons(target, 'wp_editbtns');
! 				}
! 			});
! 
! 			// when pressing Return inside a caption move the caret to a new parapraph under it
! 			ed.onKeyPress.add(function(ed, e) {
! 				var n, DL, DIV, P;
! 
! 				if ( e.keyCode == 13 ) {
! 					n = ed.selection.getNode();
! 					DL = ed.dom.getParent(n, 'dl.wp-caption');
! 
! 					if ( DL )
! 						DIV = ed.dom.getParent(DL, 'div.mceTemp');
! 
! 					if ( DIV ) {
! 						P = ed.dom.create('p', {}, '<br>');
! 						ed.dom.insertAfter( P, DIV );
! 						ed.selection.select(P.firstChild);
! 
! 						if ( tinymce.isIE ) {
! 							ed.selection.setContent('');
! 						} else {
! 							ed.selection.setContent('<br _moz_dirty="">');
! 							ed.selection.setCursorLocation(P, 0);
! 						}
! 
! 						ed.dom.events.cancel(e);
! 						return false;
! 					}
! 				}
  			});
  
  			ed.onBeforeSetContent.add(function(ed, o) {
--- 82,89 ----
  			});
  
  			// show editimage buttons
! 			ed.onMouseDown.add(function(ed, e){
! 				t._showButtons(e);
  			});
  
  			ed.onBeforeSetContent.add(function(ed, o) {
***************
*** 135,140 ****
--- 102,124 ----
  			ed.wpGetImgCaption = function(content) {
  				return t._get_shcode(content);
  			};
+ 
+ 			// When inserting content, if the caret is inside a caption create new paragraph under
+ 			// and move the caret there
+ 			ed.onBeforeExecCommand.add(function(ed, cmd, ui, val) {
+ 				var node, p;
+ 
+ 				if ( cmd == 'mceInsertContent' ) {
+ 					node = ed.dom.getParent(ed.selection.getNode(), 'div.mceTemp');
+ 
+ 					if ( !node )
+ 						return;
+ 
+ 					p = ed.dom.create('p');
+ 					ed.dom.insertAfter( p, node );
+ 					ed.selection.setCursorLocation(p, 0);
+ 				}
+ 			});
  		},
  
  		_do_shcode : function(content) {
***************
*** 221,229 ****
  		},
  
  		_createButtons : function() {
! 			var t = this, ed = tinyMCE.activeEditor, DOM = tinymce.DOM, editButton, dellButton;
  
! 			DOM.remove('wp_editbtns');
  
  			DOM.add(document.body, 'div', {
  				id : 'wp_editbtns',
--- 205,217 ----
  		},
  
  		_createButtons : function() {
! 			var t = this, ed = tinymce.activeEditor, DOM = tinymce.DOM, editButton, dellButton, isRetina;
  
! 			if ( DOM.get('wp_editbtns') )
! 				return;
! 
! 			isRetina = ( window.devicePixelRatio && window.devicePixelRatio > 1 ) || // WebKit, Opera
! 				( window.matchMedia && window.matchMedia('(min-resolution:130dpi)').matches ); // Firefox, IE10, Opera
  
  			DOM.add(document.body, 'div', {
  				id : 'wp_editbtns',
***************
*** 231,237 ****
  			});
  
  			editButton = DOM.add('wp_editbtns', 'img', {
! 				src : t.url+'/img/image.png',
  				id : 'wp_editimgbtn',
  				width : '24',
  				height : '24',
--- 219,225 ----
  			});
  
  			editButton = DOM.add('wp_editbtns', 'img', {
! 				src : isRetina ? t.url+'/img/image-2x.png' : t.url+'/img/image.png',
  				id : 'wp_editimgbtn',
  				width : '24',
  				height : '24',
***************
*** 239,251 ****
  			});
  
  			tinymce.dom.Event.add(editButton, 'mousedown', function(e) {
! 				var ed = tinyMCE.activeEditor;
! 				ed.windowManager.bookmark = ed.selection.getBookmark('simple');
! 				ed.execCommand("WP_EditImage");
  			});
  
  			dellButton = DOM.add('wp_editbtns', 'img', {
! 				src : t.url+'/img/delete.png',
  				id : 'wp_delimgbtn',
  				width : '24',
  				height : '24',
--- 227,238 ----
  			});
  
  			tinymce.dom.Event.add(editButton, 'mousedown', function(e) {
! 				t._editImage();
! 				ed.plugins.wordpress._hideButtons();
  			});
  
  			dellButton = DOM.add('wp_editbtns', 'img', {
! 				src : isRetina ? t.url+'/img/delete-2x.png' : t.url+'/img/delete.png',
  				id : 'wp_delimgbtn',
  				width : '24',
  				height : '24',
***************
*** 253,274 ****
  			});
  
  			tinymce.dom.Event.add(dellButton, 'mousedown', function(e) {
! 				var ed = tinyMCE.activeEditor, el = ed.selection.getNode(), p;
  
  				if ( el.nodeName == 'IMG' && ed.dom.getAttrib(el, 'class').indexOf('mceItem') == -1 ) {
! 					if ( (p = ed.dom.getParent(el, 'div')) && ed.dom.hasClass(p, 'mceTemp') )
! 						ed.dom.remove(p);
! 					else if ( (p = ed.dom.getParent(el, 'A')) && p.childNodes.length == 1 )
! 						ed.dom.remove(p);
! 					else
  						ed.dom.remove(el);
  
  					ed.execCommand('mceRepaint');
  					return false;
  				}
  			});
  		},
  
  		getInfo : function() {
  			return {
  				longname : 'Edit Image',
--- 240,315 ----
  			});
  
  			tinymce.dom.Event.add(dellButton, 'mousedown', function(e) {
! 				var ed = tinymce.activeEditor, el = ed.selection.getNode(), parent;
  
  				if ( el.nodeName == 'IMG' && ed.dom.getAttrib(el, 'class').indexOf('mceItem') == -1 ) {
! 					if ( (parent = ed.dom.getParent(el, 'div')) && ed.dom.hasClass(parent, 'mceTemp') ) {
! 						ed.dom.remove(parent);
! 					} else {
! 						if ( el.parentNode.nodeName == 'A' && el.parentNode.childNodes.length == 1 )
! 							el = el.parentNode;
! 
! 						if ( el.parentNode.nodeName == 'P' && el.parentNode.childNodes.length == 1 )
! 							el = el.parentNode;
! 
  						ed.dom.remove(el);
+ 					}
  
  					ed.execCommand('mceRepaint');
  					return false;
  				}
+ 				ed.plugins.wordpress._hideButtons();
+ 			});
+ 		},
+ 		
+ 		_editImage : function() {
+ 			var ed = tinymce.activeEditor, url = this.url, el = ed.selection.getNode(), vp, H, W, cls = el.className;
+ 
+ 			if ( cls.indexOf('mceItem') != -1 || cls.indexOf('wpGallery') != -1 || el.nodeName != 'IMG' )
+ 				return;
+ 
+ 			vp = tinymce.DOM.getViewPort();
+ 			H = 680 < (vp.h - 70) ? 680 : vp.h - 70;
+ 			W = 650 < vp.w ? 650 : vp.w;
+ 
+ 			ed.windowManager.open({
+ 				file: url + '/editimage.html',
+ 				width: W+'px',
+ 				height: H+'px',
+ 				inline: true
  			});
  		},
  
+ 		_showButtons : function(e) {
+ 			var ed = this.editor, target = e.target;
+ 
+ 			if ( target.nodeName != 'IMG' ) {
+ 				if ( target.firstChild && target.firstChild.nodeName == 'IMG' && target.childNodes.length == 1 ) {
+ 					target = target.firstChild;
+ 				} else {
+ 					ed.plugins.wordpress._hideButtons();
+ 					return;
+ 				}
+ 			}
+ 
+ 			if ( ed.dom.getAttrib(target, 'class').indexOf('mceItem') == -1 ) {
+ 				mouse = {
+ 					x: e.clientX,
+ 					y: e.clientY,
+ 					img_w: target.clientWidth,
+ 					img_h: target.clientHeight
+ 				};
+ 
+ 				if ( e.type == 'touchstart' ) {
+ 					ed.selection.select(target);
+ 					ed.dom.events.cancel(e);
+ 				}
+ 
+ 				ed.plugins.wordpress._hideButtons();
+ 				ed.plugins.wordpress._showButtons(target, 'wp_editbtns');
+ 			}
+ 		},
+ 
  		getInfo : function() {
  			return {
  				longname : 'Edit Image',
Binary files /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/js/tinymce/plugins/wpeditimage/img/delete-2x.png and /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/js/tinymce/plugins/wpeditimage/img/delete-2x.png differ
Binary files /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/js/tinymce/plugins/wpeditimage/img/delete.png and /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/js/tinymce/plugins/wpeditimage/img/delete.png differ
Binary files /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/js/tinymce/plugins/wpeditimage/img/image-2x.png and /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/js/tinymce/plugins/wpeditimage/img/image-2x.png differ
Binary files /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/js/tinymce/plugins/wpeditimage/img/image.png and /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/js/tinymce/plugins/wpeditimage/img/image.png differ
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/js/tinymce/plugins/wpfullscreen/editor_plugin_src.js /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/js/tinymce/plugins/wpfullscreen/editor_plugin_src.js
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/js/tinymce/plugins/wpfullscreen/editor_plugin_src.js	2012-10-29 12:35:30.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/js/tinymce/plugins/wpfullscreen/editor_plugin_src.js	2012-12-17 16:18:40.000000000 -0600
***************
*** 6,11 ****
--- 6,12 ----
  
  (function() {
  	tinymce.create('tinymce.plugins.wpFullscreenPlugin', {
+ 		resize_timeout: false,
  
  		init : function(ed, url) {
  			var t = this, oldHeight = 0, s = {}, DOM = tinymce.DOM;
***************
*** 93,105 ****
  				}
  			});
  
  			// Register buttons
! 			if ( 'undefined' != fullscreen ) {
! 				ed.addButton('wp_fullscreen', {
! 					title : 'fullscreen.desc',
! 					onclick : function(){ fullscreen.on(); }
! 				});
! 			}
  
  			// END fullscreen
  //----------------------------------------------------------------
--- 94,114 ----
  				}
  			});
  
+ 			ed.addCommand('wpFullScreen', function() {
+ 				if ( typeof(fullscreen) == 'undefined' )
+ 					return;
+ 
+ 				if ( 'wp_mce_fullscreen' == ed.id )
+ 					fullscreen.off();
+ 				else
+ 					fullscreen.on();
+ 			});
+ 
  			// Register buttons
! 			ed.addButton('wp_fullscreen', {
! 				title : 'wordpress.wp_fullscreen_desc',
! 				cmd : 'wpFullScreen'
! 			});
  
  			// END fullscreen
  //----------------------------------------------------------------
***************
*** 111,133 ****
  			/**
  			 * This method gets executed each time the editor needs to resize.
  			 */
! 			function resize() {
! 				var d = ed.getDoc(), DOM = tinymce.DOM, resizeHeight, myHeight;
  
! 				// Get height differently depending on the browser used
! 				if ( tinymce.isWebKit )
! 					myHeight = d.body.offsetHeight;
! 				else
! 					myHeight = d.body.scrollHeight;
  
! 				// Don't make it smaller than 300px
! 				resizeHeight = (myHeight > 300) ? myHeight : 300;
  
! 				// Resize content element
! 				if ( oldHeight != resizeHeight ) {
! 					DOM.setStyle(DOM.get(ed.id + '_ifr'), 'height', resizeHeight + 'px');
! 					oldHeight = resizeHeight;
! 					ed.getWin().scrollTo(0,0);
  				}
  			};
  
--- 120,149 ----
  			/**
  			 * This method gets executed each time the editor needs to resize.
  			 */
! 			function resize(editor, e) {
! 				var DOM = tinymce.DOM, body = ed.getBody(), ifr = DOM.get(ed.id + '_ifr'), height, y = ed.dom.win.scrollY;
  
! 				if ( t.resize_timeout )
! 					return;
  
! 				// sometimes several events are fired few ms apart, trottle down resizing a little
! 				t.resize_timeout = true;
! 				setTimeout(function(){
! 					t.resize_timeout = false;
! 				}, 500);
! 
! 				height = body.scrollHeight > 300 ? body.scrollHeight : 300;
! 
! 				if ( height != ifr.scrollHeight ) {
! 					DOM.setStyle(ifr, 'height', height + 'px');
! 					ed.getWin().scrollTo(0, 0); // iframe window object, make sure there's no scrolling
! 				}
  
! 				// WebKit scrolls to top on paste...
! 				if ( e && e.type == 'paste' && tinymce.isWebKit ) {
! 					setTimeout(function(){
! 						ed.dom.win.scrollTo(0, y);
! 					}, 40);
  				}
  			};
  
***************
*** 142,148 ****
  				ed.getBody().style.overflowY = "hidden";
  			});
  
! 			if (ed.getParam('autoresize_on_init', true)) {
  				ed.onLoadContent.add(function(ed, l) {
  					// Because the content area resizes when its content CSS loads,
  					// and we can't easily add a listener to its onload event,
--- 158,164 ----
  				ed.getBody().style.overflowY = "hidden";
  			});
  
! 			if ( ed.getParam('autoresize_on_init', true) ) {
  				ed.onLoadContent.add(function(ed, l) {
  					// Because the content area resizes when its content CSS loads,
  					// and we can't easily add a listener to its onload event,
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/js/tinymce/plugins/wpgallery/editor_plugin_src.js /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/js/tinymce/plugins/wpgallery/editor_plugin_src.js
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/js/tinymce/plugins/wpgallery/editor_plugin_src.js	2012-10-29 12:35:30.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/js/tinymce/plugins/wpgallery/editor_plugin_src.js	2012-12-17 16:18:40.000000000 -0600
***************
*** 6,30 ****
  			var t = this;
  
  			t.url = url;
  			t._createButtons();
  
  			// Register the command so that it can be invoked by using tinyMCE.activeEditor.execCommand('...');
  			ed.addCommand('WP_Gallery', function() {
! 				var el = ed.selection.getNode(), post_id, vp = tinymce.DOM.getViewPort(),
! 					H = vp.h - 80, W = ( 640 < vp.w ) ? 640 : vp.w;
  
! 				if ( el.nodeName != 'IMG' ) return;
! 				if ( ed.dom.getAttrib(el, 'class').indexOf('wpGallery') == -1 )	return;
! 
! 				post_id = tinymce.DOM.get('post_ID').value;
! 				tb_show('', tinymce.documentBaseURL + 'media-upload.php?post_id='+post_id+'&tab=gallery&TB_iframe=true&width='+W+'&height='+H);
! 
! 				tinymce.DOM.setStyle( ['TB_overlay','TB_window','TB_load'], 'z-index', '999999' );
  			});
  
  			ed.onMouseDown.add(function(ed, e) {
! 				if ( e.target.nodeName == 'IMG' && ed.dom.hasClass(e.target, 'wpGallery') )
  					ed.plugins.wordpress._showButtons(e.target, 'wp_gallerybtns');
  			});
  
  			ed.onBeforeSetContent.add(function(ed, o) {
--- 6,60 ----
  			var t = this;
  
  			t.url = url;
+ 			t.editor = ed;
  			t._createButtons();
  
  			// Register the command so that it can be invoked by using tinyMCE.activeEditor.execCommand('...');
  			ed.addCommand('WP_Gallery', function() {
! 				if ( tinymce.isIE )
! 					ed.selection.moveToBookmark( ed.wpGalleryBookmark );
  
! 				var el = ed.selection.getNode(),
! 					gallery = wp.media.gallery,
! 					frame;
! 
! 				// Check if the `wp.media.gallery` API exists.
! 				if ( typeof wp === 'undefined' || ! wp.media || ! wp.media.gallery )
! 					return;
! 
! 				// Make sure we've selected a gallery node.
! 				if ( el.nodeName != 'IMG' || ed.dom.getAttrib(el, 'class').indexOf('wpGallery') == -1 )
! 					return;
! 
! 				frame = gallery.edit( '[' + ed.dom.getAttrib( el, 'title' ) + ']' );
! 
! 				frame.state('gallery-edit').on( 'update', function( selection ) {
! 					var shortcode = gallery.shortcode( selection ).string().slice( 1, -1 );
! 					ed.dom.setAttrib( el, 'title', shortcode );
! 				});
! 			});
! 
! 			ed.onInit.add(function(ed) {
! 				// iOS6 doesn't show the buttons properly on click, show them on 'touchstart'
! 				if ( 'ontouchstart' in window ) {
! 					ed.dom.events.add(ed.getBody(), 'touchstart', function(e){
! 						var target = e.target;
! 
! 						if ( target.nodeName == 'IMG' && ed.dom.hasClass(target, 'wpGallery') ) {
! 							ed.selection.select(target);
! 							ed.dom.events.cancel(e);
! 							ed.plugins.wordpress._hideButtons();
! 							ed.plugins.wordpress._showButtons(target, 'wp_gallerybtns');
! 						}
! 					});
! 				}
  			});
  
  			ed.onMouseDown.add(function(ed, e) {
! 				if ( e.target.nodeName == 'IMG' && ed.dom.hasClass(e.target, 'wpGallery') ) {
! 					ed.plugins.wordpress._hideButtons();
  					ed.plugins.wordpress._showButtons(e.target, 'wp_gallerybtns');
+ 				}
  			});
  
  			ed.onBeforeSetContent.add(function(ed, o) {
***************
*** 61,69 ****
  		},
  
  		_createButtons : function() {
! 			var t = this, ed = tinyMCE.activeEditor, DOM = tinymce.DOM, editButton, dellButton;
  
! 			DOM.remove('wp_gallerybtns');
  
  			DOM.add(document.body, 'div', {
  				id : 'wp_gallerybtns',
--- 91,103 ----
  		},
  
  		_createButtons : function() {
! 			var t = this, ed = tinymce.activeEditor, DOM = tinymce.DOM, editButton, dellButton, isRetina;
! 
! 			if ( DOM.get('wp_gallerybtns') )
! 				return;
  
! 			isRetina = ( window.devicePixelRatio && window.devicePixelRatio > 1 ) || // WebKit, Opera
! 				( window.matchMedia && window.matchMedia('(min-resolution:130dpi)').matches ); // Firefox, IE10, Opera
  
  			DOM.add(document.body, 'div', {
  				id : 'wp_gallerybtns',
***************
*** 71,77 ****
  			});
  
  			editButton = DOM.add('wp_gallerybtns', 'img', {
! 				src : t.url+'/img/edit.png',
  				id : 'wp_editgallery',
  				width : '24',
  				height : '24',
--- 105,111 ----
  			});
  
  			editButton = DOM.add('wp_gallerybtns', 'img', {
! 				src : isRetina ? t.url+'/img/edit-2x.png' : t.url+'/img/edit.png',
  				id : 'wp_editgallery',
  				width : '24',
  				height : '24',
***************
*** 79,91 ****
  			});
  
  			tinymce.dom.Event.add(editButton, 'mousedown', function(e) {
! 				var ed = tinyMCE.activeEditor;
! 				ed.windowManager.bookmark = ed.selection.getBookmark('simple');
  				ed.execCommand("WP_Gallery");
  			});
  
  			dellButton = DOM.add('wp_gallerybtns', 'img', {
! 				src : t.url+'/img/delete.png',
  				id : 'wp_delgallery',
  				width : '24',
  				height : '24',
--- 113,126 ----
  			});
  
  			tinymce.dom.Event.add(editButton, 'mousedown', function(e) {
! 				var ed = tinymce.activeEditor;
! 				ed.wpGalleryBookmark = ed.selection.getBookmark('simple');
  				ed.execCommand("WP_Gallery");
+ 				ed.plugins.wordpress._hideButtons();
  			});
  
  			dellButton = DOM.add('wp_gallerybtns', 'img', {
! 				src : isRetina ? t.url+'/img/delete-2x.png' : t.url+'/img/delete.png',
  				id : 'wp_delgallery',
  				width : '24',
  				height : '24',
***************
*** 93,106 ****
  			});
  
  			tinymce.dom.Event.add(dellButton, 'mousedown', function(e) {
! 				var ed = tinyMCE.activeEditor, el = ed.selection.getNode();
  
  				if ( el.nodeName == 'IMG' && ed.dom.hasClass(el, 'wpGallery') ) {
  					ed.dom.remove(el);
  
  					ed.execCommand('mceRepaint');
! 					return false;
  				}
  			});
  		},
  
--- 128,143 ----
  			});
  
  			tinymce.dom.Event.add(dellButton, 'mousedown', function(e) {
! 				var ed = tinymce.activeEditor, el = ed.selection.getNode();
  
  				if ( el.nodeName == 'IMG' && ed.dom.hasClass(el, 'wpGallery') ) {
  					ed.dom.remove(el);
  
  					ed.execCommand('mceRepaint');
! 					ed.dom.events.cancel(e);
  				}
+ 
+ 				ed.plugins.wordpress._hideButtons();
  			});
  		},
  
Binary files /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/js/tinymce/plugins/wpgallery/img/delete-2x.png and /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/js/tinymce/plugins/wpgallery/img/delete-2x.png differ
Binary files /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/js/tinymce/plugins/wpgallery/img/delete.png and /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/js/tinymce/plugins/wpgallery/img/delete.png differ
Binary files /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/js/tinymce/plugins/wpgallery/img/edit-2x.png and /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/js/tinymce/plugins/wpgallery/img/edit-2x.png differ
Binary files /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/js/tinymce/plugins/wpgallery/img/edit.png and /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/js/tinymce/plugins/wpgallery/img/edit.png differ
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/js/tinymce/plugins/wplink/editor_plugin_src.js /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/js/tinymce/plugins/wplink/editor_plugin_src.js
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/js/tinymce/plugins/wplink/editor_plugin_src.js	2012-10-29 12:35:29.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/js/tinymce/plugins/wplink/editor_plugin_src.js	2012-12-17 16:18:40.000000000 -0600
***************
*** 28,39 ****
  
  			// Register example button
  			ed.addButton('link', {
! 				title : ed.getLang('advanced.link_desc'),
  				cmd : 'WP_Link'
  			});
  
- 			ed.addShortcut('alt+shift+a', ed.getLang('advanced.link_desc'), 'WP_Link');
- 
  			ed.onNodeChange.add(function(ed, cm, n, co) {
  				disabled = co && n.nodeName != 'A';
  			});
--- 28,37 ----
  
  			// Register example button
  			ed.addButton('link', {
! 				title : 'advanced.link_desc',
  				cmd : 'WP_Link'
  			});
  
  			ed.onNodeChange.add(function(ed, cm, n, co) {
  				disabled = co && n.nodeName != 'A';
  			});
***************
*** 57,60 ****
  
  	// Register plugin
  	tinymce.PluginManager.add('wplink', tinymce.plugins.wpLink);
! })();
\ No newline at end of file
--- 55,59 ----
  
  	// Register plugin
  	tinymce.PluginManager.add('wplink', tinymce.plugins.wpLink);
! })();
! 
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/js/tinymce/plugins/wpview/editor_plugin_src.js /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/js/tinymce/plugins/wpview/editor_plugin_src.js
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/js/tinymce/plugins/wpview/editor_plugin_src.js	1969-12-31 17:00:00.000000000 -0700
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/js/tinymce/plugins/wpview/editor_plugin_src.js	2012-12-17 16:18:40.000000000 -0600
***************
*** 0 ****
--- 1,188 ----
+ /**
+  * WordPress View plugin.
+  */
+ 
+ (function() {
+ 	var VK = tinymce.VK,
+ 		TreeWalker = tinymce.dom.TreeWalker,
+ 		selected;
+ 
+ 	tinymce.create('tinymce.plugins.wpView', {
+ 		init : function( editor, url ) {
+ 			var wpView = this;
+ 
+ 			// Check if the `wp.mce` API exists.
+ 			if ( typeof wp === 'undefined' || ! wp.mce )
+ 				return;
+ 
+ 			editor.onPreInit.add( function( editor ) {
+ 				// Add elements so we can set `contenteditable` to false.
+ 				editor.schema.addValidElements('div[*],span[*]');
+ 			});
+ 
+ 			// When the editor's content changes, scan the new content for
+ 			// matching view patterns, and transform the matches into
+ 			// view wrappers. Since the editor's DOM is outdated at this point,
+ 			// we'll wait to render the views.
+ 			editor.onBeforeSetContent.add( function( editor, o ) {
+ 				if ( ! o.content )
+ 					return;
+ 
+ 				o.content = wp.mce.view.toViews( o.content );
+ 			});
+ 
+ 			// When the editor's content has been updated and the DOM has been
+ 			// processed, render the views in the document.
+ 			editor.onSetContent.add( function( editor, o ) {
+ 				wp.mce.view.render( editor.getDoc() );
+ 			});
+ 
+ 			editor.onInit.add( function( editor ) {
+ 
+ 				// When a view is selected, ensure content that is being pasted
+ 				// or inserted is added to a text node (instead of the view).
+ 				editor.selection.onBeforeSetContent.add( function( selection, o ) {
+ 					var view = wpView.getParentView( selection.getNode() ),
+ 						walker, target;
+ 
+ 					// If the selection is not within a view, bail.
+ 					if ( ! view )
+ 						return;
+ 
+ 					// If there are no additional nodes or the next node is a
+ 					// view, create a text node after the current view.
+ 					if ( ! view.nextSibling || wpView.isView( view.nextSibling ) ) {
+ 						target = editor.getDoc().createTextNode('');
+ 						editor.dom.insertAfter( target, view );
+ 
+ 					// Otherwise, find the next text node.
+ 					} else {
+ 						walker = new TreeWalker( view.nextSibling, view.nextSibling );
+ 						target = walker.next();
+ 					}
+ 
+ 					// Select the `target` text node.
+ 					selection.select( target );
+ 					selection.collapse( true );
+ 				});
+ 
+ 				// When the selection's content changes, scan any new content
+ 				// for matching views and immediately render them.
+ 				//
+ 				// Runs on paste and on inserting nodes/html.
+ 				editor.selection.onSetContent.add( function( selection, o ) {
+ 					if ( ! o.context )
+ 						return;
+ 
+ 					var node = selection.getNode();
+ 
+ 					if ( ! node.innerHTML )
+ 						return;
+ 
+ 					node.innerHTML = wp.mce.view.toViews( node.innerHTML );
+ 					wp.mce.view.render( node );
+ 				});
+ 			});
+ 
+ 			// When the editor's contents are being accessed as a string,
+ 			// transform any views back to their text representations.
+ 			editor.onPostProcess.add( function( editor, o ) {
+ 				if ( ( ! o.get && ! o.save ) || ! o.content )
+ 					return;
+ 
+ 				o.content = wp.mce.view.toText( o.content );
+ 			});
+ 
+ 			// Triggers when the selection is changed.
+ 			// Add the event handler to the top of the stack.
+ 			editor.onNodeChange.addToTop( function( editor, controlManager, node, collapsed, o ) {
+ 				var view = wpView.getParentView( node );
+ 
+ 				// Update the selected view.
+ 				if ( view ) {
+ 					wpView.select( view );
+ 
+ 					// Prevent the selection from propagating to other plugins.
+ 					return false;
+ 
+ 				// If we've clicked off of the selected view, deselect it.
+ 				} else {
+ 					wpView.deselect();
+ 				}
+ 			});
+ 
+ 			editor.onKeyDown.addToTop( function( editor, event ) {
+ 				var keyCode = event.keyCode,
+ 					view, instance;
+ 
+ 				// If a view isn't selected, let the event go on its merry way.
+ 				if ( ! selected )
+ 					return;
+ 
+ 				// If the caret is not within the selected view, deselect the
+ 				// view and bail.
+ 				view = wpView.getParentView( editor.selection.getNode() );
+ 				if ( view !== selected ) {
+ 					wpView.deselect();
+ 					return;
+ 				}
+ 
+ 				// If delete or backspace is pressed, delete the view.
+ 				if ( keyCode === VK.DELETE || keyCode === VK.BACKSPACE ) {
+ 					if ( (instance = wp.mce.view.instance( selected )) ) {
+ 						instance.remove();
+ 						wpView.deselect();
+ 					}
+ 				}
+ 
+ 				// Let keypresses that involve the command or control keys through.
+ 				// Also, let any of the F# keys through.
+ 				if ( event.metaKey || event.ctrlKey || ( keyCode >= 112 && keyCode <= 123 ) )
+ 					return;
+ 
+ 				event.preventDefault();
+ 			});
+ 		},
+ 
+ 		getParentView : function( node ) {
+ 			while ( node ) {
+ 				if ( this.isView( node ) )
+ 					return node;
+ 
+ 				node = node.parentNode;
+ 			}
+ 		},
+ 
+ 		isView : function( node ) {
+ 			return (/(?:^|\s)wp-view-wrap(?:\s|$)/).test( node.className );
+ 		},
+ 
+ 		select : function( view ) {
+ 			if ( view === selected )
+ 				return;
+ 
+ 			this.deselect();
+ 			selected = view;
+ 			wp.mce.view.select( selected );
+ 		},
+ 
+ 		deselect : function() {
+ 			if ( selected )
+ 				wp.mce.view.deselect( selected );
+ 			selected = null;
+ 		},
+ 
+ 		getInfo : function() {
+ 			return {
+ 				longname  : 'WordPress Views',
+ 				author    : 'WordPress',
+ 				authorurl : 'http://wordpress.org',
+ 				infourl   : 'http://wordpress.org',
+ 				version   : '1.0'
+ 			};
+ 		}
+ 	});
+ 
+ 	// Register plugin
+ 	tinymce.PluginManager.add( 'wpview', tinymce.plugins.wpView );
+ })();
\ No newline at end of file
